Class Index | File Index

## Classes

- _global_
- Array
- Function
- pockets
- pockets.managers
- pockets.managers.EventManager
- pockets.managers.EventRegistration
- pockets.managers.EventTargetRegistration
- pockets.managers.MenuManager

# Class pockets.managers.EventRegistration

Wrapper class for tracking an individual event. Used by the EventManager, rarely used directly.
Defined in: pockets-managers.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| pockets.managers.EventRegistration(element, trigger, handler)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| listen() Starts listening for this event
| stopListening() Stops listening for this event

Class Detail
pockets.managers.EventRegistration(element, trigger, handler)

Parameters:
element
  {Element|String} DOM Element or string representing the id attribute of a DOM Element that will receive the event
trigger
  {Event} event
handler
  {Function} handler function to call when the event is caught/heard

See:
  pockets.managers.EventManager

Method Detail
listen()
Starts listening for this event

stopListening()
Stops listening for this event

Documentation generated by JsDoc Toolkit 2.3.0 on Sat Jun 27 2009 08:38:33 GMT-0700 (PDT)